using System;

// SampleFileInfoクラス
public class SampleFileInfo
{
	// スタティックメソッド
	public static SampleFileInfo GetFileInfo(string fileName)
	{
		// ファイル情報を取得
		System.IO.FileInfo fi = new System.IO.FileInfo(fileName);
		
		SampleFileInfo result = new SampleFileInfo();
		result.fileName   = fileName;
		result.createDate = fi.CreationTime.ToString("yyyy/MM/dd HH:mm:ss");
		result.updateDate = fi.LastWriteTime.ToString("yyyy/MM/dd HH:mm:ss");
		return result;
	}
	
	// フィールド
	public string fileName   = "";	// ファイル
	public string createDate = "";	// 作成日時
	public string updateDate = "";	// 更新日時
}
